Bug 971583 - run-parts man link is broken
run-parts man link is broken
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: crontabs (Show other bugs)
20
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 16:45 EDT by Jerry James
Modified: 2015-05-29 05:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-29 05:08:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2013-06-06 16:45:14 EDT
Description of problem:
$ man run-parts
man: can't open /usr/share/man/man/man4/crontabs.4: No such file or directory
No manual entry for run-parts
$ zcat /usr/share/man/man4/run-parts.4.gz
.so man/man4/crontabs.4

The manual is actually in crontabs.4.gz.

Version-Release number of selected component (if applicable):
crontabs-1.11-5.20121102git.fc19.noarch

How reproducible:
Always

Steps to Reproduce:
1. man run-parts
2.
3.

Actual results:
An error message.

Expected results:
The run-parts man page.

Additional info:
Comment 1 Marcela Mašláňová 2013-08-30 10:51:36 EDT
Thanks, fixed in upstream as a00508d1b33e3fda68a311eac4ad6450bdc683ea
Comment 2 Fedora End Of Life 2013-09-16 12:55:13 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Adri Verhoef 2013-10-08 12:39:00 EDT
This bug is also present in Fedora 19.

$ man run-parts
man: can't open /usr/share/man/man/man4/crontabs.4: No such file or directory
No manual entry for run-parts
$ man run-parts | wc
man: can't open /usr/share/man/man/man4/crontabs.4: No such file or directory
No manual entry for run-parts
      0       0       0
$ zcat /usr/share/man/man4/run-parts.4.gz
.so man/man4/crontabs.4

This works though:
$ zcat /usr/share/man/man4/urandom.4.gz
.so man4/random.4
$ man urandom | wc
    210    1309   10261
Comment 4 Fedora Admin XMLRPC Client 2014-09-04 08:16:57 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora End Of Life 2015-05-29 05:06:05 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.